Unit tde25r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE25R_p, FJDE25R_p, DE25R_p;

function tde25r: String;

implementation

function tde25r: String;
var
IU,IORDER,M,IERR :Integer;
HMIN,EPS,XN,XK,HMAX,H :Real;
RAB :Array [0..37] of Real;
Y :Array [0..1] of Real;
YN :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
YPM :Array [0..1] of Real;
YP :Array [0..15] of Real;
begin
Result := '';  {   }
HMIN := 1.E-10;
IU := 3;
EPS := 0.00001;
IORDER := 6;
XN := 0.0;
XK := 1.0;
M := 2;
YN[0] := 2.0;
YN[1] := 18.0;
HMAX := 0.1;
H := 0.01;
DE25R(FDE25R,FJDE25R,M,XN,YN,XK,HMIN,HMAX,EPS,IORDER,
     IU,H,Y,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format(' %20.16f %20.16f %20.16f ',
 [XK,Y[0],Y[1]]) + #$0D#$0A;
UtRes('tde25r',Result);  {     tde25r.res }
exit;
end;

end.
